List account restrictions
curl --request GET \
--url https://api.example.com/v1/accounts/{accountId}/restrictionsimport requests
url = "https://api.example.com/v1/accounts/{accountId}/restrictions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/accounts/{accountId}/restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "019bdb2a-960f-789d-8955-21720e6cdeed",
"status": "ACTIVE",
"type": "REJECT_OUTBOUND",
"source": "PLAIS",
"reason": "PLAIS restriction",
"externalRef": "PLAIS-2026-12345",
"createdAt": "2026-01-22T13:47:21.542Z",
"updatedAt": "2026-01-22T13:47:21.542Z"
}
],
"page": 0,
"size": 100,
"totalPages": 5
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Accounts
List account restrictions
Returns account restrictions for an account, optionally filtered by status.
GET
/
v1
/
accounts
/
{accountId}
/
restrictions
List account restrictions
Path Parameters
Account ID
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Query Parameters
Page number (0-based)
Required range:
x >= 0Example:
0
Number of items per page (max 100)
Required range:
1 <= x <= 100Example:
20
Field name to sort by
Example:
"createdAt"
Sort direction
Optional restriction status filter Restriction status
Available options:
ACTIVE, LIFTED Last modified on July 20, 2026